%global momorel 2

Summary: Bluetooth HCI protocol analyser
Name: bluez-hcidump
Version: 1.16
Release: %{momorel}m
License: GPL
Group: Applications/System
Source: http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
Patch0: bluez-hcidump-1.16-gcc4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.bluez.org/
Requires: glibc >= 2.2.4
Requires: bluez-libs >= 2.0
BuildRequires: glibc-devel >= 2.2.4
BuildRequires: bluez-libs-devel >= 2.0
ExcludeArch: s390 s390x

%description
Protocol analyser for Bluetooth traffic.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%prep

%setup -q

%patch0 -p1 -b .gcc4

%build
%configure
make

%Install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_sbindir}/hcidump
%{_mandir}/man8/hcidump.8.*

%changelog
* Thu Nov 10 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.16-2m)
- add gcc4 patch
- Patch0: bluez-hcidump-1.16-gcc4.patch

* Mon Feb 28 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.16-1m)
- import from FC

* Tue Jan 12 2005 David Woodhouse <dwmw2@redhat.com> 1.16-1
- update to bluez-hcidump 1.16

* Tue Sep 22 2004 David Woodhouse <dwmw2@redhat.com> 1.11-1
- update to bluez-hcidump 1.11

* Tue Aug 02 2004 David Woodhouse <dwmw2@redhat.com> 1.10-1
- update to bluez-hcidump 1.10

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 12 2004 David Woodhouse <dwmw2@redhat.com>
- update to bluez-hcidump 1.8

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 25 2003 David Woodhosue <dwmw2@redhat.com> 1.5-2
- Fix get_unaligned() -- don't abuse kernel headers.

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com>
- Initial build
